#!/usr/bin/env python
# coding=utf-8
"""
Copyright © Huawei Technologies Co., Ltd. 2001-2019. All rights reserved.
description     :   list gmm ll msg
modify  record  :   2016-02-01 create file
"""

cas_cttf_1x_msg_enum_table = {
    0x1000 :     "ID_CAS_CTTF_1X_LAC_INIT_ADDRESS_CFG_REQ",         
    0x1001 :     "ID_CAS_CTTF_1X_LAC_MS_IDENTITY_UPDATE_REQ",       
    0x1002 :     "ID_CAS_CTTF_1X_LAC_CSCH_CFG_REQ",                 
    0x1003 :     "ID_CTTF_CAS_1X_LAC_START_T40_T72_CNF",            
    0x1004 :     "ID_CAS_CTTF_1X_LAC_DSCH_CFG_REQ",                 
    0x1005 :     "ID_CTTF_CAS_1X_LAC_CSCH_CFG_CNF",                 
    0x1006 :     "ID_CTTF_CAS_1X_LAC_DSCH_CFG_CNF",                 
    0x1007 :     "ID_CAS_CTTF_1X_LAC_REL_REQ",                      
    0x1008 :     "ID_CTTF_CAS_1X_LAC_REL_CNF",                      
    0x1009 :     "ID_CTTF_CAS_1X_LAC_ACTION_IND",                   
    0x100A :     "ID_CAS_CTTF_1X_LAC_START_T40_T72_REQ",            
    0x100B :     "ID_CTTF_CAS_1X_LAC_T40_T72_STOPPED_IND",          
    0x100C :     "ID_CAS_CTTF_1X_LAC_STOP_COMMON_CH_MONITORING_REQ",
    0x100D :     "ID_CTTF_CAS_1X_LAC_STOP_COMMON_CH_MONITORING_CNF",
    0x100E :     "ID_CAS_CTTF_1X_LAC_SUPERVISION_REQ",              
    0x100F :     "ID_CTTF_CAS_1X_LAC_SUPERVISION_CNF",              
    0x1010 :     "ID_CAS_CTTF_1X_LAC_STATISTICS_REQ",               
    0x1011 :     "ID_CAS_CTTF_1X_LAC_F_CSCH_SUPERVISE_CTRL_REQ",    
    0x1012 :     "ID_CTTF_CAS_1X_LAC_STATISTICS_CNF",               
    0x1013 :     "ID_CAS_CTTF_1X_LAC_VERIFY_STATISTICS_ID_REQ",     
    0x1014 :     "ID_CTTF_CAS_1X_LAC_VERIFY_STATISTICS_ID_CNF",     
    0x1015 :     "ID_CAS_CTTF_1X_LAC_TX_ALL_ACK_REQ",               
    0x1016 :     "ID_CTTF_CAS_1X_LAC_TX_ALL_ACK_CNF",
    0x1017 :     "ID_CAS_CTTF_1X_LAC_FORCED_STOP_MONITORING_REQ",
    0x1018 :     "ID_CTTF_CAS_1X_LAC_FORCED_STOP_MONITORING_CNF",
    0x1019 :     "ID_CAS_CTTF_1X_LAC_NO_RF_NTF",	
    0x1020 :     "ID_CAS_CTTF_1X_LAC_MEASUREMENT_UPDATE_REQ",       
    0x1021 :     "ID_CTTF_CAS_1X_LAC_NUM_REPORT_PILOT_IND",         
    0x1022 :     "ID_CAS_CTTF_1X_LAC_R_CSCH_REQ",                   
    0x1023 :     "ID_CTTF_CAS_1X_LAC_ACCESS_FAIL_IND",              
    0x1024 :     "ID_CTTF_CAS_1X_LAC_INSUFFICIENT_RATE_IND",        
    0x1025 :     "ID_CTTF_CAS_1X_LAC_SYSTEM_LOST_IND",              
    0x1026 :     "ID_CTTF_CAS_1X_LAC_TA_EXPIRED_IND",               
    0x1040 :     "ID_CAS_CTTF_1X_LAC_R_DSCH_REQ",                   
    0x1041 :     "ID_CTTF_CAS_1X_LAC_R_DSCH_CNF",                   
    0x1042 :     "ID_CAS_CTTF_1X_LAC_R_DSCH_CANCEL_REQ",            
    0x1043 :     "ID_CTTF_CAS_1X_LAC_R_DSCH_CANCEL_CNF",            
    0x1060 :     "ID_CTTF_CAS_1X_LAC_ADDRESS_MISMATCH_IND",         
    0x1061 :     "ID_CTTF_CAS_1X_LAC_BCCH_FAIL_IND",                
    0x1062 :     "ID_CTTF_CAS_1X_LAC_BROADCAST_IND",                
    0x1063 :     "ID_CTTF_CAS_1X_LAC_COMMON_CHANNEL_LOST_IND",      
    0x1064 :     "ID_CTTF_CAS_1X_LAC_GENERAL_SIGNALING_IND",        
    0x1065 :     "ID_CTTF_CAS_1X_LAC_SYNC_IND",                     
    0x1066 :     "ID_CTTF_CAS_1X_LAC_VALID_MESSAGE_IND",
    0x1067 :     "ID_CTTF_CAS_1X_LAC_PCH_FRAME_QUALITY_IND",
    0x1068 :     "ID_CTTF_CAS_1X_LAC_SLOT_INVALID_IND",
    0x1080 :     "ID_CAS_CTTF_1X_LAC_ACQUIRING_FORWARD_TCH_REQ",    
    0x1081 :     "ID_CTTF_CAS_1X_LAC_ACQUIRING_FORWARD_TCH_IND",    
    0x1082 :     "ID_CTTF_CAS_1X_LAC_F_DSCH_IND",
    
    0x1600 :     "ID_CTTF_CAS_1X_RLP_BLOB_IND",        
    0x1601 :     "ID_CAS_CTTF_1X_RLP_REL_REQ",         
    0x1602 :     "ID_CTTF_CAS_1X_RLP_REL_CNF",         
    0x1603 :     "ID_CTTF_CAS_1X_RLP_ACTION_IND",      
    0x1604 :     "ID_CAS_CTTF_1X_RLP_CFG_REQ",         
    0x1605 :     "ID_CTTF_CAS_1X_RLP_CFG_CNF",         
    0x1606 :     "ID_CAS_CTTF_1X_RLP_RATE_CTRL_REQ",   
    0x1607 :     "ID_CTTF_CAS_1X_RLP_RATE_CTRL_CNF",   

    0x2400 :     "ID_CAS_CTTF_1X_MAC_COMMON_CFG_REQ",             
    0x2401 :     "ID_CAS_CTTF_1X_MAC_DEDICATE_CFG_REQ",           
    0x2402 :     "ID_CAS_CTTF_1X_MAC_REL_REQ",                    
    0x2403 :     "ID_CAS_CTTF_1X_MAC_TXCTL_REQ",                  
    0x2404 :     "ID_CAS_CTTF_1X_MAC_STATISTICS_REQ",             
    0x2405 :     "ID_CTTF_CAS_1X_MAC_COMMON_CFG_CNF",             
    0x2406 :     "ID_CTTF_CAS_1X_MAC_DEDICATE_CFG_CNF",           
    0x2407 :     "ID_CTTF_CAS_1X_MAC_REL_CNF",                    
    0x2408 :     "ID_CTTF_CAS_1X_MAC_TXCTL_CNF",                  
    0x2409 :     "ID_CTTF_CAS_1X_MAC_STATISTICS_CNF",             
    0x240A :     "ID_CTTF_CAS_1X_MAC_ACTION_IND",                 
    0x240B :     "ID_CTTF_CAS_1X_MAC_ERROR_IND",                  
    0x240C :     "ID_CAS_CTTF_1X_MAC_PWRCTRL_CFG_REQ",            
    0x240D :     "ID_CTTF_CAS_1X_MAC_PWRCTRL_CFG_CNF",            
    0x240E :     "ID_CAS_CTTF_1X_MAC_REVERSE_TCH_ACQUIRED_NOTIFY",
    0x240F :     "ID_CAS_CTTF_1X_MAC_VERIFY_STATISTICS_ID_REQ",   
    0x2410 :     "ID_CTTF_CAS_1X_MAC_VERIFY_STATISTICS_ID_CNF",
    0x2411 :     "ID_CTTF_CAS_1X_MAC_RFCH_ACTION_IND",
    0x2412 :     "ID_CAS_CTTF_1X_MAC_SCH_STOP_IND",

    0x2540 :     "ID_CAS_CTTF_1X_MARKOV_SO_CFG_REQ",                                                 
    0x2541 :     "ID_CTTF_CAS_1X_MARKOV_SO_CFG_CNF",                                                 
    0x2542 :     "ID_CAS_CTTF_1X_MARKOV_SO_REL_REQ",                                                 
    0x2543 :     "ID_CTTF_CAS_1X_MARKOV_SO_REL_CNF",                                                 
    0x2544 :     "ID_CAS_CTTF_1X_MARKOV_SO_SOCM_REQ",                                                
    0x2545 :     "ID_CTTF_CAS_1X_MARKOV_SO_SOCM_CNF",                                                
    0x2546 :     "ID_CTTF_CAS_1X_MARKOV_SO_SOCM_RSP",                                                
    0x2547 :     "ID_CTTF_CAS_1X_MARKOV_SO_ACTION_IND",                                              
    0x2520 :     "ID_CAS_CTTF_1X_LOOPBACK_SO_CFG_REQ",                                               
    0x2521 :     "ID_CAS_CTTF_1X_LOOPBACK_SO_REL_REQ",                                               
    0x2522 :     "ID_CTTF_CAS_1X_LOOPBACK_SO_ACTION_IND",                                            
    0x2523 :     "ID_CTTF_CAS_1X_LOOPBACK_SO_CFG_CNF",                                               
    0x2524 :     "ID_CTTF_CAS_1X_LOOPBACK_SO_REL_CNF",                                               
    0x2560 :     "ID_CAS_CTTF_1X_TDSO_CFG_REQ",                                                      
    0x2561 :     "ID_CTTF_CAS_1X_TDSO_CFG_CNF",                                                      
    0x2562 :     "ID_CAS_CTTF_1X_TDSO_REL_REQ",                                                      
    0x2563 :     "ID_CTTF_CAS_1X_TDSO_REL_CNF",                                                      
    0x2564 :     "ID_CAS_CTTF_1X_TDSO_SOCM_REQ",                                                     
    0x2565 :     "ID_CTTF_CAS_1X_TDSO_SOCM_CNF",                                                     
    0x2566 :     "ID_CTTF_CAS_1X_TDSO_SOCM_RSP",                                                     
    0x2567 :     "ID_CTTF_CAS_1X_TDSO_ACTION_IND",                                                   
    0x2568 :     "ID_CTTF_CAS_1X_TDSO_SCH_ALLOC_IND",                                                
    0x2569 :     "ID_CTTF_CAS_1X_TDSO_TEST_PARA_IND",    
}

def get_cas_cttf_1x_msg_str( MsgId):
    for MsgIdIndex in cas_cttf_1x_msg_enum_table.keys():
        if MsgIdIndex == MsgId:
            return cas_cttf_1x_msg_enum_table[MsgIdIndex]

    return "unknown"
